#!/bin/sh

cd "$(dirname "$0")/.."

result=0	# success

r=0
echo
for f in test/valid/*.pdf
do
	./pdf -s "$f" >/dev/null	# suppress stdout but not error messages
	x=$?

	if [ $x -eq 0 ]
	then
		echo "ok: $f"
	else
		echo "FAIL (exit $x): $f"
		r=1
	fi
done
result=$((result + r))

r=0
echo
for txt in test/valid/*.txt
do
	f="$(dirname "$txt")/$(basename "$txt" .txt).pdf"
	out="$txt.out"
	./pdf -x "$out" "$f" >/dev/null	# suppress stdout but not errors
	x=$?

	if [ $x -eq 0 ] && diff -u "$txt" "$out"
	then
		echo "text ok: $f"
		rm -f "$out"
	else
		echo "TEXT FAIL: $f"
		r=4
	fi
done
result=$((result + r))

r=0
echo
for f in test/invalid/*.pdf
do
	./pdf -sq "$f"		# suppress stdout and error messages
	x=$?

	if [ $x -eq 1 ]		# plain parse failure
	then
		echo "ok: $f"
	else
		echo "FAIL (exit $x): $f"
		r=2
	fi
done
result=$((result + r))

echo
exit $result
